Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.AreaOfInterestOverlay

    java.lang.Object
      org.apache.batik.apps.svgbrowser.ThumbnailDialog.AreaOfInterestOverlay

All Implemented Interfaces:
  Overlay

Enclosing class:
  ThumbnailDialog

protected class ThumbnailDialog.AreaOfInterestOverlay
extends java.lang.Object
implements Overlay

An overlay that represents the current area of interest.

Field Summary
`protected java.awt.geom.AffineTransform` | `at`
`protected java.awt.geom.AffineTransform` | `paintingTransform`
`protected java.awt.Shape` | `s`

Constructor Summary
`protected` | `ThumbnailDialog.AreaOfInterestOverlay()`

Method Summary
`boolean` | `contains(int x, int y)`
`java.awt.geom.AffineTransform` | `getOverlayTransform()`
`java.awt.geom.AffineTransform` | `getPaintingTransform()`
`void` | `paint(java.awt.Graphics g)` Paints this overlay.
`void` | `setPaintingTransform(java.awt.geom.AffineTransform rt)`
`void` | `synchronizeAreaOfInterest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s

    protected java.awt.Shape s

### at

    protected java.awt.geom.AffineTransform at

### paintingTransform

    protected java.awt.geom.AffineTransform paintingTransform

Constructor Detail

### ThumbnailDialog.AreaOfInterestOverlay

    protected ThumbnailDialog.AreaOfInterestOverlay()

Method Detail

### contains

    public boolean contains(int x,
                            int y)

### getOverlayTransform

    public java.awt.geom.AffineTransform getOverlayTransform()

### setPaintingTransform

    public void setPaintingTransform(java.awt.geom.AffineTransform rt)

### getPaintingTransform

    public java.awt.geom.AffineTransform getPaintingTransform()

### synchronizeAreaOfInterest

    public void synchronizeAreaOfInterest()

### paint

    public void paint(java.awt.Graphics g)

  Description copied from interface: `Overlay`
  Paints this overlay.

  Specified by:
    `paint` in interface `Overlay`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.